#include <WiFi.h>

const char* ssid = "miura2g";
const char* password = "jikken2022";

void setup() {
  Serial.begin(115200);
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED) { // 接続中...
    Serial.print(".");
  }
//  char* ntpserver = "ntp.nict.jp"; // 学内のNetworkを利用するときは、10.64.7.184 にする
  char* ntpserver = "192.168.11.11"; // 学内のNetworkを利用するときは、10.64.7.184 にする
  configTime(9 * 3600, 0, ntpserver);//GMTとの時差(秒) が9*3600, サマータイムで進める時間(秒)が0
}

void loop() {
  struct tm localTime;
  char buf[30];
  getLocalTime(&localTime);
  sprintf(buf, ">> %04d/%02d/%02d  %02d:%02d:%02d",
          localTime.tm_year + 1900,
          localTime.tm_mon + 1,
          localTime.tm_mday,
          localTime.tm_hour,
          localTime.tm_min,
          localTime.tm_sec
         );
  Serial.println(buf);
  delay(1000);
}